[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# set_segment_limit

Set descriptor limit

## Declaration

Source position: go32.pp line 94

`function set_segment_limit(`
`d: Word;`
`s: DWord`
`):Boolean;`

## Description

Sets the limit of a descriptor.

Parameters:

d
  selector.
s
  new limit of the descriptor.

Return values: Returns True if successful, else False.

Remark: | The new limit specified must be the byte length of the segment - 1. Segment limits bigger than or equal to 1MB must be page aligned, they must have the lower 12 bits set.

For an example, see allocate_ldt_descriptors.

## Errors

Check the int31error variable.

## See also

allocate_ldt_descriptors |  | Allocate a number of descriptors
set_segment_base_address |  | Set descriptor's base address
get_segment_limit |  | Return segment limits from descriptor
set_segment_limit |  | Set descriptor limit